Name:          prime-dict
Version:       1.0.0
Release:       2mamba
Summary:       Dictionary for PRIME (a Japanese PRedictive Input Method Editor)
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://taiyaki.org/prime/
Source:        http://prime.sourceforge.jp/src/prime-dict-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: ruby-devel
## AUTOBUILDREQ-END
Requires: ruby
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PRIME predicts user's input words using the knowledge of natural language and the history of user's operations, and reduces the cost of typing by the user.  For example, if a user wants to input "application" and types "ap" as the beginning characters of the word, PRIME might predict some candidate words like "apple", "application", "appointment", etc...  And then the user can input "application" easily by selecting the word from the candidate words by PRIME.

%prep

%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall  DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/site_ruby/*/prime
%{_libdir}/site_ruby/*/prime/prime-dict-config.rb
%dir %{_datadir}/prime/dict
%{_datadir}/prime/dict/prime-dict
%{_datadir}/prime/dict/*.ary
%{_datadir}/prime/dict/prime-dict-en
%{_datadir}/prime/dict/prime-dict-pos
%{_datadir}/prime/dict/prime-dict-en-pos
%doc COPYING
#ChangeLog

%changelog
* Tue Aug 20 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0-2mamba
- automatic rebuild by autodist

* Fri Jul 11 2008 gil <puntogil@libero.it> 1.0.0-1mamba
- package created by autospec
